DividendBarrierOption::arguments Class Reference

Arguments for dividend barrier option calculation More...

`#include <ql/instruments/dividendbarrieroption.hpp>`

Inheritance diagram for DividendBarrierOption::arguments:
[legend]

## Public Member Functions

void | validate () const
Public Member Functions inherited from BarrierOption::arguments
void | validate () const
Public Member Functions inherited from Option::arguments
void | validate () const

## Public Attributes

DividendSchedule | cashFlow
Public Attributes inherited from BarrierOption::arguments
Barrier::Type | barrierType
Real | barrier
Real | rebate
Public Attributes inherited from Option::arguments
ext::shared_ptr< Payoff > | payoff
ext::shared_ptr< Exercise > | exercise

## Detailed Description

Arguments for dividend barrier option calculation